#
# spec file for package mISDNuser
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           mISDNuser
Version:        2.0.19
Release:        6.1
Summary:        Tools and library for mISDN
License:        GPL-2.0 and LGPL-2.1
Group:          Hardware/ISDN
Url:            http://misdn.org/

#Git-Clone:	git://git.misdn.eu/mISDNuser
#Changelog:	http://misdn.org/index.php/MISDN_Release_Notes
# There seem to be no tarballs. Generated from git.
Source:         %name-%version.tar.xz
BuildRequires:  autoconf >= 2.63
BuildRequires:  automake
BuildRequires:  libtool >= 2
BuildRequires:  xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package contains libmisdn and some tools to use the mISDN driver.
mISDN is the new modular ISDN driver for Linux.

%package -n libmisdn1
Summary:        mISDN core library
Group:          System/Libraries

%description -n libmisdn1
The mISDN core library.

%package devel
Summary:        C header files for mISDN
Group:          Development/Libraries/C and C++
Requires:       libmisdn1 = %version

%description devel
This package contain the header files and libraries for
mISDNuser development.

%prep
%setup -qn %name

%build
if [ ! -e configure ]; then
	mkdir -p m4;
	autoreconf -fi;
fi;
%configure --disable-static
make %{?_smp_mflags};

%install
%make_install
find "%buildroot/%_libdir" -type f -name "*.la" -delete;

%post -n libmisdn1 -p /sbin/ldconfig

%postun -n libmisdn1 -p /sbin/ldconfig

%files
%defattr(-,root,root)
%config %_sysconfdir/udev
%_bindir/*
%_sbindir/*

%files -n libmisdn1
%defattr(-,root,root)
%_libdir/libmisdn.so.1*

%files devel
%defattr(-,root,root)
%_includedir/mISDN
%_libdir/*.so

%changelog
* Sun Mar  1 2015 p.drouand@gmail.com
- Update to version 2.0.19
  * no changelog available
- Re-enable Werror (fixes on upstream release)
- Remove 0001-Fix-compile-error-with-newer-gcc-and-a-reaL-BUG.patch
  merged on upstream release
* Tue Dec 24 2013 jengelh@inai.de
- Disable -Werror during compilation
* Mon Jun 24 2013 jengelh@inai.de
- Add 0001-Fix-compile-error-with-newer-gcc-and-a-reaL-BUG.patch
* Thu Nov 29 2012 cfarrell@suse.com
- license update: GPL-2.0 and LGPL-2.1
  Semicolon is ambiguous. Use ^and^ or ^or^ depending on the interaction
* Thu Nov 15 2012 jengelh@inai.de
- Update to new upstream release 2.0.17
  * no upstream changelog provided
- Delete misdn-fixes.diff, merged upstream
* Sun Oct  9 2011 jengelh@medozas.de
- Update to mISDNuser-2.0.2
  * new userspace API, uses sockets to communicate with kernel
  * layer3 (TE/NT) is done in userspace now
  * Q.931/DSS1 support for TE/NT
  * note: Asterisk integration occurs via chan_lcr
- Employ shlib policy
- Remove redundant/obsolete tags/sections (cf. specfile guidelines)
* Fri Jun  4 2010 cristian.rodriguez@opensuse.org
- do not fail when selinux is running
* Fri Jun 19 2009 coolo@novell.com
- disable as-needed for this package as it fails to build with it
* Mon Sep  1 2008 kkeil@suse.de
-  first version
